
package org.jboss.test.ws.jaxws.samples.exception.client;

import javax.xml.ws.WebFault;


@WebFault(name = "UserException", targetNamespace = "http://server.exception.samples.jaxws.ws.test.jboss.org/")
public class UserException_Exception
    extends Exception
{

    /**
     * Java type that goes as soapenv:Fault detail element.
     * 
     */
    private UserException faultInfo;

    /**
     * 
     * @param faultInfo
     * @param message
     */
    public UserException_Exception(String message, UserException faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @param faultInfo
     * @param message
     * @param cause
     */
    public UserException_Exception(String message, UserException faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @return
     *     returns fault bean: org.jboss.test.ws.jaxws.samples.exception.client.UserException
     */
    public UserException getFaultInfo() {
        return faultInfo;
    }

}
